DataProviderControllerGetStructureCustomConfigurationUI Method |
GET /DataProvider/StructureCustomConfigurationUI/{id}
Gets the custom configuration UI for the specified data provider's structure.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("StructureCustomConfigurationUI")]
public IActionResult GetStructureCustomConfigurationUI(
Guid id,
string contentType,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("StructureCustomConfigurationUI")>
Public Function GetStructureCustomConfigurationUI (
id As Guid,
contentType As String,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"StructureCustomConfigurationUI")]
IActionResult^ GetStructureCustomConfigurationUI(
Guid id,
String^ contentType,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("StructureCustomConfigurationUI")>]
member GetStructureCustomConfigurationUI :
id : Guid *
contentType : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the data provider to get the custom UI for. - contentType
- Type: SystemString
The type of the content to get the UI for. For example: text/html. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResult
A
String object, or a status code indicating the problem.
See Also